/**
 *     This file is part of the 'OpenTestFactory-Squash TM integration' demo project.
 *     Copyright (C) 2020 - 2022 Henix, henix.fr - All Rights Reserved
 *
 */
pipeline{
    agent any
    stages {
        stage('Integration-test'){
            steps{
                    withCredentials([
                            usernamePassword(credentialsId: 'tm-demo-int-user-automation-server', usernameVariable: 'OPENTF_SQUASH_USER', passwordVariable: 'OPENTF_SQUASH_PASSWORD')
                        ]) {
                            runOTFWorkflow(
                                workflowPathName:'workflow.yml',
                                workflowTimeout: '4H',
                                serverName:'demo-int'
                        )
                    }
            }
        }
    }
}
